'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ErrorHandler = require('../utils/ErrorHandler');

var touchUp = function touchUp(x, y) {
    if (typeof x !== 'number' || typeof y !== 'number') {
        throw new _ErrorHandler.ProtocolError('number or type of arguments don\'t agree with touchUp command');
    }

    return this.requestHandler.create('/session/:sessionId/touch/up', { x: x, y: y });
}; /**
    *
    * Finger up on the screen. Depcrecated! Please use `touchPerform` instead.
    *
    * @param {Number} x  coordinate on the screen
    * @param {Number} y  coordinate on the screen
    *
    * @see https://github.com/SeleniumHQ/selenium/wiki/JsonWireProtocol#sessionsessionidtouchup
    * @type protocol
    * @depcrecated
    *
    */

exports.default = touchUp;
module.exports = exports['default'];
